%global momorel 3
%global src_ver 1.108

Name:           perl-Perl-Critic
Version:        %{src_ver}
Release:        %{momorel}m%{?dist}
Epoch:          1
Summary:        Critique Perl source code for best-practices
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Perl-Critic/
Source0:	http://www.cpan.org/authors/id/E/EL/ELLIOTJS/Perl-Critic-%{src_ver}.tar.gz
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Config-Tiny >= 2
BuildRequires:  perl-File-HomeDir
BuildRequires:	perl-File-Which
BuildRequires:  perl-IO-String
BuildRequires:  perl-List-MoreUtils
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Module-Pluggable
BuildRequires:  perl-Perl-Tidy
BuildRequires:  perl-PPI >= 1.117
BuildRequires:  perl-PPIx-Regexp
BuildRequires:  perl-PPIx-Utilities
BuildRequires:	perl-Pod-Spell
BuildRequires:	perl-Regexp-Parser
BuildRequires:  perl-Set-Scalar
BuildRequires:  perl-String-Format >= 1.13
BuildRequires:  perl-B-Keywords
# BuildRequires:  perl-Test-Perl-Critic
Requires:       perl-Config-Tiny >= 2
Requires:       perl-File-HomeDir
Requires:	perl-File-Which
Requires:       perl-IO-String
Requires:       perl-List-MoreUtils
Requires:       perl-Module-Pluggable
Requires:       perl-Perl-Tidy
Requires:       perl-PPI >= 1.117
Requires:       perl-PPIx-Regexp
Requires:       perl-PPIx-Utilities
Requires:	perl-Pod-Spell
Requires:	perl-Regexp-Parser
Requires:       perl-Set-Scalar
Requires:       perl-String-Format >= 1.13
Requires:       perl-Test-Perl-Critic
Requires:	perl-B-Keywords
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl::Critic is an extensible framework for creating and applying coding
standards to Perl source code. Essentially, it is a static source code
analysis engine. Perl::Critic is distributed with a number of
Perl::Critic::Policy modules that attempt to enforce various coding
guidelines. Most Policy modules are based on Damian Conway's book Perl Best
Practices. However, Perl::Critic is not limited to PBP and will even
support Policies that contradict Conway. You can enable, disable, and
customize those Polices through the Perl::Critic interface. You can also
create new Policy modules that suit your own tastes.

%prep
%setup -q -n Perl-Critic-%{src_ver}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{_bindir}/perlcritic
%{perl_vendorlib}/Perl/*
%{perl_vendorlib}/Test/Perl/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1:1.108-3m)
- full rebuild for mo7 release

* Thu Aug 19 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1:1.108-2m)
- add epoch to %%changelog

* Wed Jun 23 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.108-1m)
- update to 1.108

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.106-2m)
- rebuild against perl-5.12.1

* Tue May 12 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.106-1m)
- update to 1.106

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.105-4m)
- rebuild against perl-5.12.0

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.105-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1:1.105-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Sep 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.105-1m)
- update to 1.105

* Thu Aug 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.104-1m)
- update to 1.104

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.103-2m)
- rebuild against perl-5.10.1

* Sun Aug 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.103-1m)
- update to 1.103

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.100-1m)
- update to 1.100

* Tue May  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.098-1m)
- update to 1.098

* Wed Feb 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.096-1m)
- update to 1.096

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1:1.094.001-2m)
- rebuild against rpm-4.6

* Wed Jan  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.094.001-1m)
- update to 1.094001

* Wed Sep  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.092-1m)
- update to 1.092

* Wed Jul 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.090-1m)
- update to 1.090

* Tue Jul 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.089-1m)
- update to 1.089

* Sat Jul  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.088-1m)
- update to 1.088

* Mon Jun 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.087-1m)
- update to 1.087

* Fri Jun 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.086-1m)
- update to 1.086

* Sun Jun  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1:1.085-1m)
- update to 1.085

* Sun Jun  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1:1.082-4m)
- add Epoch: 1 to enable upgrading from STABLE_4

* Sat May 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.082-3m)
- add BuildRequires: perl-B-Keywords (thanks ryu san)
- add BuildRequires: perl-File-Which and perl-Pod-Spell

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.082-2m)
- rebuild against gcc43

* Sun Mar  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.082-1m)
- update to 1.082

* Thu Nov 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.080-1m)
- update to 1.080

* Thu Sep 20 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.078-1m)
- update to 1.078

* Sun Sep 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.077-1m)
- update to 1.077

* Sat Sep  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.076-1m)
- update to 1.076

* Wed Sep  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.074-1m)
- update to 1.074
- use %%{buildroot} instead of $RPM_BUILD_ROOT

* Tue Sep  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.073-1m)
- update to 1.073
- do not use %%NoSource macro

* Sat Aug 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.071-1m)
- update to 1.071

* Wed Aug 22 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.07-1m)
- update to 1.07

* Thu Jul 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.061-1m)
- update to 1.061

* Mon Jul  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.06-2m)
- add Epoch: 1 for yum upgrade

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.06-1m)
- update to 1.06

* Tue Jun  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.053-1m)
- update to 1.053

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.052-1m)
- update to 1.052

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.051-2m)
- use vendor

* Thu Apr 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.051-1m)
- update to 1.051

* Wed Mar 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.05-1m)
- update to 1.05

* Wed Feb 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.03-1m)
- update to 1.03

* Mon Feb 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.02-1m)
- update to 1.02

* Fri Jan 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.01-1m)
- update to 1.01
- add Requires: perl-B-Keywords

* Sat Jan 20 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.23-1m)
- update to 0.23

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.21-1m)
- update to 0.21

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.2-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
